From Fedora Project Wiki

(how to install needed dependencies to use omemo)
 
("clean up" omemo install foo)
 
(2 intermediate revisions by the same user not shown)
Line 2: Line 2:
  
 
=== OMEMO ===
 
=== OMEMO ===
 +
 +
* https://dev.gajim.org/gajim/gajim-plugins/wikis/omemogajimplugin
 +
 +
tested with
 +
* Fedora 29
 +
* x86_64
 +
* gajim-1.0.3-3
 +
* OMEMO (Plugin) 2.6.2
  
 
==== OMEMO dependencies ====
 
==== OMEMO dependencies ====
  
==== install OMEMO dependencies via pip ====
+
===== axolotl =====
 +
 
 +
====== install axolotl via [https://copr.fedorainfracloud.org/coprs/philfry/gajim/ corp ''philfry/gajim''] ======
 +
 
 +
enable the [[:Category:Copr|copr repository]] ''[https://copr.fedorainfracloud.org/coprs/philfry/gajim/ philfry/gajim]''
 +
: <code>sudo dnf copr enable -y philfry/gajim</code>
 +
install the required packages ''python3-axolotl'' ([https://copr.fedorainfracloud.org/coprs/philfry/gajim/package/python-axolotl/ python-axolotl]) and ''python3-axolotl-curve25519'' ([https://copr.fedorainfracloud.org/coprs/philfry/gajim/package/python-axolotl-curve25519/ python-axolotl-curve25519])
 +
:: the (normal Fedora) package ''[https://apps.fedoraproject.org/packages/python3-protobuf python3-protobuf]'' will also be installed as a dependency
 +
: <code>sudo dnf install -y python3-axolotl python3-axolotl-curve25519</code>
 +
 
 +
====== install axolotl via pip ======
  
 +
install the for ''pip'' needed package ''[https://apps.fedoraproject.org/packages/ python3-devel]''
 
: <code>sudo dnf install -y python3-devel</code>
 
: <code>sudo dnf install -y python3-devel</code>
 +
install the python package [https://pypi.org/project/python-axolotl/ python-axolotl]
 +
:: the python package [https://pypi.org/project/python-axolotl-curve25519/ python-axolotl-curve25519] will also (automatically) be installed
 
: <code>sudo pip3 install python-axolotl</code>
 
: <code>sudo pip3 install python-axolotl</code>
  
==== install OMEMO dependencies via [https://copr.fedorainfracloud.org/coprs/philfry/gajim/ corp ''philfry/gajim''] ====
+
===== qrcode =====
 +
 
 +
A optional feature of OMEMO uses QR Codes for verification.<ref>[https://dev.gajim.org/gajim/gajim-plugins/wikis/omemogajimplugin#verification-qr-codes Section ''Verification QR Codes'' on the ''OMEMO Plugin'' page at the Gajim wiki]</ref>
  
: <code>sudo dnf copr enable -y philfry/gajim</code>
+
install the recommended package ''[https://apps.fedoraproject.org/packages/python3-qrcode python3-qrcode]''
:: <code>sudo dnf install -y python-axolotl</code>
+
: <code>sudo dnf install -y python3-qrcode</code>
: or
 
:: <code>sudo dnf install -y python3-axolotl</code>
 

Latest revision as of 20:41, 2 December 2018

Plugins

OMEMO

tested with

  • Fedora 29
  • x86_64
  • gajim-1.0.3-3
  • OMEMO (Plugin) 2.6.2

OMEMO dependencies

axolotl
install axolotl via corp philfry/gajim

enable the copr repository philfry/gajim

sudo dnf copr enable -y philfry/gajim

install the required packages python3-axolotl (python-axolotl) and python3-axolotl-curve25519 (python-axolotl-curve25519)

the (normal Fedora) package python3-protobuf will also be installed as a dependency
sudo dnf install -y python3-axolotl python3-axolotl-curve25519
install axolotl via pip

install the for pip needed package python3-devel

sudo dnf install -y python3-devel

install the python package python-axolotl

the python package python-axolotl-curve25519 will also (automatically) be installed
sudo pip3 install python-axolotl
qrcode

A optional feature of OMEMO uses QR Codes for verification.[1]

install the recommended package python3-qrcode

sudo dnf install -y python3-qrcode
  1. Section Verification QR Codes on the OMEMO Plugin page at the Gajim wiki